From 1c6e52c9b6f647d49fd29f63e89bd2f8550486b8 Mon Sep 17 00:00:00 2001
From: Matthias Schiffer <mschiffer@universe-factory.net>
Date: Wed, 21 Jan 2015 17:37:41 +0100
Subject: [PATCH] Allow running `make update` without git identity
 configuration

---
 scripts/patch.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/patch.sh b/scripts/patch.sh
index e14726b7e..479acd763 100755
--- a/scripts/patch.sh
+++ b/scripts/patch.sh
@@ -10,7 +10,7 @@ for module in $GLUON_MODULES; do
 	git checkout -B patching base
 
 	if [ "$(echo "$GLUONDIR"/patches/$module/*.patch)" ]; then
-		git am --whitespace=nowarn "$GLUONDIR"/patches/$module/*.patch || (
+		git -c user.name='Gluon Patch Manager' -c user.email='gluon@void.example.com' am --whitespace=nowarn "$GLUONDIR"/patches/$module/*.patch || (
 			git am --abort
 			git checkout patched
 			git branch -D patching
-- 
GitLab